import requests
url = "https://api.paywise.de/v1/debtors/"
payload = {
"acting_as": "consumer",
"addresses": [
{
"street": "Am Beispielbach 4",
"zip": "80804",
"city": "München",
"country": "DE"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acting_as: 'consumer',
addresses: [{street: 'Am Beispielbach 4', zip: '80804', city: 'München', country: 'DE'}]
})
};
fetch('https://api.paywise.de/v1/debtors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/debtors/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acting_as\": \"consumer\",\n \"addresses\": [\n {\n \"street\": \"Am Beispielbach 4\",\n \"zip\": \"80804\",\n \"city\": \"München\",\n \"country\": \"DE\"\n }\n ]\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/debtors/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"acting_as\": \"consumer\",\n \"addresses\": [\n {\n \"street\": \"Am Beispielbach 4\",\n \"zip\": \"80804\",\n \"city\": \"München\",\n \"country\": \"DE\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/debtors/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acting_as": "consumer",
"addresses": [
{
"street": "Am Beispielbach 4",
"zip": "80804",
"city": "München",
"country": "DE"
}
]
}
'{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}Frozen v1 · Create a debtor
DRF ViewSet mixin that logs every API request with structured fields for Loki-based monitoring and usage analytics.
Add as the first parent class in ViewSet inheritance so finalize_response() runs after view logic completes.
import requests
url = "https://api.paywise.de/v1/debtors/"
payload = {
"acting_as": "consumer",
"addresses": [
{
"street": "Am Beispielbach 4",
"zip": "80804",
"city": "München",
"country": "DE"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acting_as: 'consumer',
addresses: [{street: 'Am Beispielbach 4', zip: '80804', city: 'München', country: 'DE'}]
})
};
fetch('https://api.paywise.de/v1/debtors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/debtors/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acting_as\": \"consumer\",\n \"addresses\": [\n {\n \"street\": \"Am Beispielbach 4\",\n \"zip\": \"80804\",\n \"city\": \"München\",\n \"country\": \"DE\"\n }\n ]\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/debtors/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"acting_as\": \"consumer\",\n \"addresses\": [\n {\n \"street\": \"Am Beispielbach 4\",\n \"zip\": \"80804\",\n \"city\": \"München\",\n \"country\": \"DE\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/debtors/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acting_as": "consumer",
"addresses": [
{
"street": "Am Beispielbach 4",
"zip": "80804",
"city": "München",
"country": "DE"
}
]
}
'{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}non_field_errors entry rather than a server error. The most common cause is an invalid
contact email address on the paywise user your API token belongs to. Nothing is stored; correct
the data in paywise and repeat the request unchanged.Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Tell us if the debtor is either a consumer or a business/other organization. Single-person-business debtors must have the value business
consumer- Verbraucherbusiness- Unternehmer
consumer, business Show child attributes
Show child attributes
255If the debtor is a natural person or a single-person-business please provide this object. In case of a single-person-business, please set acting_as to business
Show child attributes
Show child attributes
If the debtor is an organization (no single-person-business), please provide this object. For single-person-business debtors see the person field.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Antwort
Tell us if the debtor is either a consumer or a business/other organization. Single-person-business debtors must have the value business
consumer- Verbraucherbusiness- Unternehmer
consumer, business Show child attributes
Show child attributes
255If the debtor is a natural person or a single-person-business please provide this object. In case of a single-person-business, please set acting_as to business
Show child attributes
Show child attributes
If the debtor is an organization (no single-person-business), please provide this object. For single-person-business debtors see the person field.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
